Subject: Re: bug#5907: 24.0.50; Alt-Tab from Emacs causes gnome-terminal to lose keyboard input

From: Stefan Kangas <[email-masked]>
Date: Wed, 18 Nov 2020 19:23:14 -0800

tags 5907 unreproducible
close 5907
thanks

Mingming Ren <[email-masked]> writes:

> 1. Open emacs and do some editing
> 2. Alt-Tab to switch to terminator or gnome-terminal
> 3. keyboard input lost in terminator or gnome-terminal
> 4. to get it back in terminator or gnome-terminal, I have to
>   a. right click terminator or gnome-terminal or
>   b. Alt-Tab switch to other application and then switch back
>
> I only find this problem with emacs and terminator or gnome-terminal.
> Alt-Tab from emacs to other apps like firefox works ok.
> Alt-Tab from other apps to terminator or gnome-terminal works ok.
>
> It seems to me that emacs holds the keyboard input focus and doesnot
> wish to give it to terminator or gnome-terminal when Alt-Tab.

Jan Djärv <[email-masked]> writes:

> I could not reproduce it, not even with ibus running.  My guess is that there
> are some problem with the interraction of Emacs and ibus.  But I can't reproduce
> the error.

That was 10 years ago and there has been no further updates since.
I'm therefore closing this bug report.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.